## profile/splitcgats

### Summary

Split the first table of data in a CGATS format file, into two files, choosing the sets randomly. Usually the CGATS file will be a .ti3 format file, and the intent is to create a test and reference data set, to verify the operation of colprof.

### Usage Summary

usage: splitcgats [-options] input.ti3 output1.ti3 output2.ti3
-v Verbose - print each patch value
-n no Put no sets in first file, and balance in second file.
-p percent Put percentage% in first file, and balance in second file. (def. 50%)
-r seed Use given random seed.
input.ti3 File to be split up.
output1.ti3 First output file
output2.ti3 Second output file

### Usage Details and Discussion

splitcgats together with profcheck provides a way of verifying how well the profiling process is working. By splitting up a .ti3 test set into two parts, one that will be the data file that the profile is created from, and the other being the independent set used for verification, some measure can made of how well a devices underlying behaviour is being modelled by colprof. Only the first table is transferred from input to output.
The -v flag prints out extra information during operation..
The -n parameter specifies the split between the first and second output files as a given number of sets of data for the first table.
The -p parameter specifies the split between the first and second output files as a percentage in favour of the first table.
The -r parameter provides a way of making the random split reproducible, by allowing the random number seed to be specified.
Typically a large test set might be partitioned into two files, the first used to generate a profile, and then the second used with profcheck to check how well the profile patches the balance of the test set points.